openwhisk-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rab...@apache.org
Subject [incubator-openwhisk-deploy-kube] branch master updated: exit job's init.sh with error if subcommand fails (#141)
Date Tue, 09 Jan 2018 18:04:39 GMT
This is an automated email from the ASF dual-hosted git repository.

rabbah pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-openwhisk-deploy-kube.git


The following commit(s) were added to refs/heads/master by this push:
     new 63f9663  exit job's init.sh with error if subcommand fails (#141)
63f9663 is described below

commit 63f966361e6dcd80b353a202473cff22dc26b827
Author: David Grove <dgrove-oss@users.noreply.github.com>
AuthorDate: Tue Jan 9 13:04:37 2018 -0500

    exit job's init.sh with error if subcommand fails (#141)
    
    Fixes #136
---
 docker/openwhisk-catalog/init.sh | 2 +-
 docker/routemgmt/init.sh         | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/docker/openwhisk-catalog/init.sh b/docker/openwhisk-catalog/init.sh
index 28f8690..32eea88 100755
--- a/docker/openwhisk-catalog/init.sh
+++ b/docker/openwhisk-catalog/init.sh
@@ -1,6 +1,7 @@
 #!/bin/bash
 
 set -x
+set -e
 
 # Clone openwhisk-catalog
 # TODO: when openwhisk-catalog has releases, download release instead!
@@ -21,4 +22,3 @@ popd
 pushd openwhisk-catalog/packages
   ./installCatalog.sh $WHISK_AUTH $WHISK_API_HOST_NAME $OPENWHISK_HOME/bin/wsk
 popd
-
diff --git a/docker/routemgmt/init.sh b/docker/routemgmt/init.sh
index 342ed3e..5444fca 100755
--- a/docker/routemgmt/init.sh
+++ b/docker/routemgmt/init.sh
@@ -1,6 +1,7 @@
 #!/bin/bash
 
 set -x
+set -e
 
 export OPENWHISK_HOME=/openwhisk
 
@@ -38,4 +39,3 @@ fi
 pushd ansible/roles/routemgmt/files
   ./installRouteMgmt.sh $WHISK_AUTH $WHISK_API_HOST_NAME $WHISK_NAMESPACE $OPENWHISK_HOME/bin/wsk
 popd
-

-- 
To stop receiving notification emails like this one, please contact
['"commits@openwhisk.apache.org" <commits@openwhisk.apache.org>'].

Mime
View raw message